<!doctype html>
<html>
<head>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
<script async="async" src="https://www.googletagservices.com/tag/js/gpt.js"></script>
<script>
var googletag = googletag || {};
googletag.cmd = googletag.cmd || [];
</script>

<style>
body,html{
    margin:0;
    padding:0;
}

    
.sp_story h3{
    color: #fff;
    margin: 0px;
    background: #0097a7 !important;
    font-family: sans-serif !important;
    font-weight: normal !important;
    font-size: 13px !important;
    text-transform: uppercase !important;
}
.spotboye_stories{
    padding: 50px 0;
    padding-top: 0px;
    width: 100vw !important;
    position: relative;
    left: 50%;
    right: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
    margin-top: -5px;
}
    li{
    list-style: none;
    display: inline-block;
    width: 80px;
    height: 80px;
    /* background: #000; */
    margin: 0px 5px;
    /* padding: 7px; */
    border: 4px solid #ccc;
    }
    li.active{
        border: 4px solid #e31e24;
    }
    ul{
        padding:0;
        margin:0;
    }
    li>img{
        width:80px;
        height:80px;
       object-fit: cover;
    }
    #puzzle{
    border:0;
    width: 100vw !important;
    position: relative;
    left: 50%;
    right: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
    }
    #photothumb_container{
    width: 100%;
    height: 126px;
    overflow-y: hidden;
    overflow-x: auto;
    white-space: nowrap;
    /* background: #000; */
    padding-top: 17px;
}

.ad_popup{
    position: fixed;
    width: 100%;
    min-height: 100%;
    top: 0;
    left: 0;
    z-index: 999;
    background: rgba(0,0,0,.5);
    text-align: center;
}
.close_ad{
    position: absolute;
    right: 10px;
    top: 10px;
    color: #fff;
    font-size: 18px;
    /* font-weight: bold; */
    z-index: 999;
    border: 1px solid #fff;
    /* width: 40px; */
    /* height: 40px; */
    text-align: center;
    padding: 0px 16px;
    border-radius: 10px;
    background: #fff;
    color: #000;
}
#photothumb_container::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	border-radius: 10px;
	background-color: #F5F5F5;
}

#photothumb_container::-webkit-scrollbar
{
	width: 12px;
	background-color: #F5F5F5;
}

#photothumb_container::-webkit-scrollbar-thumb
{
	border-radius: 10px;
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
	background-color: #555;
}
.center_ad{
    position:absolute;
    left:50%;
    top:50%;
    transform:translate(-50%,-50%);
    -webkit-transform:translate(-50%,-50%);
}
</style>
<script>
var files=[];
var a = [1,2,3,4,5,6,7,8,9,10,11,12];
 for (a, i = a.length; i--; ) {
        var random = a.splice(Math.floor(Math.random() * (i + 1)), 1)[0];
        files.push(random+".jpg"); 
}
 //var files=["1.jpg","2.jpg","3.jpg","4.jpg"];
 var rand_number  =Math.floor(Math.random() * 4 + 0);  
    $(function (){
       window.document.addEventListener('showAds', handleEvent, false);
       function handleEvent(e) {
           $('.ad_popup').show();
        googletag.cmd.push(function() {
    googletag.pubads().display("/97172535/Spotboye_Interstitial_300x250", [300,250],"div-gpt-ad-1534255589188-8");
    });
         console.log(1);
                                         //   googletag.cmd.push(function() {
                                          //      console.log(2);
                                           //     $('#div-gpt-ad-1534251446010-0').length;
                                            //googletag.defineSlot('/97172535/Test1_adunit_300x250', [300, 250], 'div-gpt-ad-1534251446010-0').addService(googletag.pubads());
                                            //googletag.pubads().enableSingleRequest();
                                            //googletag.enableServices();
                                            //});
        }
        files.forEach(function(val) {
            $("#photothumb_container").append("<li><img src='"+val+"' data-url='"+val+"'/></li>");
        });
        $("#photothumb_container li").eq(rand_number).addClass("active")
        $("img").on("click",function() {
        filename=$(this).data('url');
        $('.active').removeClass('active');
        $(this).parent().addClass('active');
          // $("canvas").remove();
           //init(filename);
           $("#puzzle").attr("src","puzzle.html"+"?"+$.param({'filename':filename}));
          
        });
    });
   function remove_ad(){
       $('.ad_popup').hide(); 
       //googletag.pubads().refresh();
   }
</script>
</head>
<body>
<div class="row related_news sp_story">
<h3><img src="https://78.media.tumblr.com/563bce48bcd619954bd199da82e83b27/tumblr_nsua97xZ801tha1vgo1_250.gif" style="vertical-align:middle;width:50px;display:inline-block;margin-top:-5px;" /> Play Bollywood Jigsaw Puzzle</h3>
<div class="spotboye_stories">

<ul class="scrollbar"  id="photothumb_container">

</ul>

</div>
<div class="ad_popup" style="display: none;">
<div class="center_ad" id="div-gpt-ad-1534255589188-8"></div>
<span class="close_ad" onclick="remove_ad();">close</span>
</div>
<script>

$('.spotboye_stories').append(' <iframe  id="puzzle" src="puzzle.html?filename='+files[rand_number]+'" style="width:100vw;height: 310px;"></iframe>');

</script>
</body>
</html>